LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XOutputStream Interface Referencepublished

This is the basic interface to write data to a stream. More...

`import"XOutputStream.idl";`

Inheritance diagram for XOutputStream:

## Public Member Functions
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the basic interface to write data to a stream.

See the streaming document for further information on chaining and piping streams.

## Member Function Documentation

## ◆ closeOutput()

void closeOutput | ( |  | ) |
raises | ( | com::sun::star::io::NotConnectedException,
|  | com::sun::star::io::BufferSizeExceededException,
|  | com::sun::star::io::IOException
| ) |  |

gets called to indicate that all data has been written.

If this method has not yet been called, no attached XInputStream receives an EOF signal. No further bytes may be written after this method has been called.

## ◆ flush()

void flush | ( |  | ) |
raises | ( | com::sun::star::io::NotConnectedException,
|  | com::sun::star::io::BufferSizeExceededException,
|  | com::sun::star::io::IOException
| ) |  |

flushes out of the stream any data that may exist in buffers.

The semantics of this method are rather vague. See com::sun::star::io::XAsyncOutputMonitor::waitForCompletion() for a similar method with very specific semantics, that is useful in certain scenarios.

## ◆ writeBytes()

void writeBytes | ( | [in] sequence< byte > | aData | ) |
raises | ( | com::sun::star::io::NotConnectedException,
|  | com::sun::star::io::BufferSizeExceededException,
|  | com::sun::star::io::IOException
| ) |  |

writes the whole sequence to the stream.

(blocking call)

The documentation for this interface was generated from the following file:

- com/sun/star/io/XOutputStream.idl